Index: .hgsubstate
===================================================================
--- .hgsubstate	(revision 1250)
+++ .hgsubstate	(revision 1208)
@@ -1,1 +1,1 @@
-fbebebc66065b6ce6be87922ea71da7edb4995b2 inc/libs/clearbricks
+ff969f43ffc6d1a03258e32e8abb1812cddbd450 inc/libs/clearbricks
Index: .hgtags
===================================================================
--- .hgtags	(revision 1219)
+++ .hgtags	(revision 871)
@@ -12,3 +12,2 @@
 6fce226121140735a51a8f447c80f1dacd2974ea 2.4.4
 514d5121a12586b7ff320924d44028b677a01020 2.4.4
-baf879af43beea9764d920c2facd7226e90c5cf3 2.5.1
Index: admin/index.php
===================================================================
--- admin/index.php	(revision 1247)
+++ admin/index.php	(revision 1179)
@@ -59,7 +59,7 @@
 if (!$core->auth->user_prefs->dashboard->prefExists('quickentry')) {
 	if (!$core->auth->user_prefs->dashboard->prefExists('quickentry',true)) {
-		$core->auth->user_prefs->dashboard->put('quickentry',false,'boolean','',null,true);
-	}
-	$core->auth->user_prefs->dashboard->put('quickentry',false,'boolean');
+		$core->auth->user_prefs->dashboard->put('quickentry',true,'boolean','',null,true);
+	}
+	$core->auth->user_prefs->dashboard->put('quickentry',true,'boolean');
 }
 
Index: admin/install/index.php
===================================================================
--- admin/install/index.php	(revision 1247)
+++ admin/install/index.php	(revision 1179)
@@ -190,5 +190,5 @@
 		$core->auth->user_prefs->dashboard->put('doclinks',true,'boolean','',null,true);
 		$core->auth->user_prefs->dashboard->put('dcnews',true,'boolean','',null,true);
-		$core->auth->user_prefs->dashboard->put('quickentry',false,'boolean','',null,true);
+		$core->auth->user_prefs->dashboard->put('quickentry',true,'boolean','',null,true);
 
 		# Add accessibility options
Index: admin/js/_media.js
===================================================================
--- admin/js/_media.js	(revision 1234)
+++ admin/js/_media.js	(revision 1191)
@@ -40,5 +40,5 @@
 	});
 
-	var $container = $('#add-file-f').parent().parent();
+	var $container = $('#fileupload').parent().parent();
 	var $msg,label;
 
@@ -75,5 +75,5 @@
 
 		$container.toggleClass('enhanced_uploader');
-	}).appendTo($('#add-file-f'));
+	}).appendTo($('#fileupload'));
 
 	// Replace remove links by a POST on hidden form
Index: admin/js/jquery/jquery.pageTabs.js
===================================================================
--- admin/js/jquery/jquery.pageTabs.js	(revision 1223)
+++ admin/js/jquery/jquery.pageTabs.js	(revision 1140)
@@ -39,10 +39,9 @@
 				li = document.createElement('li');
 				a = document.createElement('a');
-				$(a).html(this.title);
+				a.appendChild(document.createTextNode(this.title));
 				this.title = '';
 				a.href = '#';
 				a.fn = This.showDiv;
 				a.index = this.id || i;
-				li.id = "part-tabs-"+a.index;
 				a.obj = This;
 				jQuery(a).click(function() { this.fn.call(this.obj,this.index); return false; });
Index: admin/media.php
===================================================================
--- admin/media.php	(revision 1234)
+++ admin/media.php	(revision 1192)
@@ -335,9 +335,9 @@
 
 	echo
-	'<form id="fileupload" action="'.html::escapeURL($page_url).'" method="POST" enctype="multipart/form-data">'.
 	'<fieldset id="add-file-f"><legend>'.__('Add files').'</legend>'.
 	'<p>'.__('Please take care to publish media that you own and that are not protected by copyright.').'</p>'.
-	form::hidden(array('MAX_FILE_SIZE'),DC_MAX_UPLOAD_SIZE).
-	$core->formNonce().
+	' <form id="fileupload" action="'.html::escapeURL($page_url).'" method="POST" enctype="multipart/form-data">'.
+	'<div>'.form::hidden(array('MAX_FILE_SIZE'),DC_MAX_UPLOAD_SIZE).
+	$core->formNonce().'</div>'.
 	'<div class="fileupload-ctrl"><div class="files"></div></div>';
 
@@ -369,5 +369,5 @@
 
 	echo
-	form::hidden(array('d'),$d).
+	'<div>'.form::hidden(array('d'),$d).'</div>'.
 	'</fieldset>'.
 	'</form>'.
@@ -428,9 +428,7 @@
 	$class = 'media-item media-col-'.($i%2);
 	
-	$alt = (!$f->d ? sprintf(__('Media details of %s'),$fname) : 
-		sprintf(__('Go to %s folder'),($fname == '..' ? __('parent') : $fname)));
 	$res =
 	'<div class="'.$class.'"><a class="media-icon media-link" href="'.$link.'">'.
-	'<img src="'.$f->media_icon.'" alt="'.$alt.'" /></a>'.
+	'<img src="'.$f->media_icon.'" alt="" /></a>'.
 	'<ul>'.
 	'<li><a class="media-link" href="'.$link.'">'.$fname.'</a></li>';
Index: admin/plugins.php
===================================================================
--- admin/plugins.php	(revision 1238)
+++ admin/plugins.php	(revision 1182)
@@ -387,9 +387,4 @@
 echo '</div>';
 
-if ($core->plugins->moduleExists('daInstaller')) {
-	echo '<p><a href="plugin.php?p=daInstaller" class="multi-part">'.__('DotAddict.org Installer').'</a></p>';
-}
-
-
 # --BEHAVIOR-- pluginsToolsTabs
 $core->callBehavior('pluginsToolsTabs',$core);
Index: admin/update.php
===================================================================
--- admin/update.php	(revision 1231)
+++ admin/update.php	(revision 1179)
@@ -27,5 +27,5 @@
 
 $updater = new dcUpdate(DC_UPDATE_URL,'dotclear',DC_UPDATE_VERSION,DC_TPL_CACHE.'/versions');
-$new_v = $updater->check(DC_VERSION, !empty($_GET['nocache']));
+$new_v = $updater->check(DC_VERSION);
 $zip_file = $new_v ? DC_BACKUP_PATH.'/'.basename($updater->getFileURL()) : '';
 $version_info = $new_v ? $updater->getInfoURL() : '';
@@ -173,8 +173,4 @@
 if (!$core->error->flag()) {
 	echo '<h2>'.__('Dotclear update').'</h2>';
-	
-	if (!empty($_GET['nocache'])) {
-		dcPage::message(__('Manual checking of update done successfully.'));
-	}
 }
 
@@ -184,9 +180,5 @@
 	if (empty($new_v))
 	{
-		echo '<p><strong>'.__('No newer Dotclear version available.').'</strong></p>'.
-		'<form action="'.$p_url.'" method="get">'.
-		'<p><input type="hidden" name="nocache" value="1" />'.
-		'<input type="submit" value="'.__('Force checking update Dotclear').'" /></p>'.
-		'</form>';
+		echo '<p><strong>'.__('No newer Dotclear version available.').'</strong></p>';
 	}
 	else
Index: admin/users.php
===================================================================
--- admin/users.php	(revision 1237)
+++ admin/users.php	(revision 1179)
@@ -106,5 +106,5 @@
 	
 	echo 
-	'<h2 class="page-title">'.__('Users').'</h2>'.
+	'<h2 class="post-title">'.__('Users').'</h2>'.
 	'<p class="top-add"><strong><a class="button add" href="user.php">'.__('Create a new user').'</a></strong></p>';
 	
Index: inc/core/class.dc.blog.php
===================================================================
--- inc/core/class.dc.blog.php	(revision 1228)
+++ inc/core/class.dc.blog.php	(revision 1179)
@@ -2267,8 +2267,6 @@
 		
 		if ($cur->comment_site !== null && $cur->comment_site != '') {
-			if (!preg_match('|^http(s?)://|i',$cur->comment_site, $matches)) {
+			if (!preg_match('|^http(s?)://|',$cur->comment_site)) {
 				$cur->comment_site = 'http://'.$cur->comment_site;
-			}else{
-				$cur->comment_site = strtolower($matches[0]).substr($cur->comment_site, strlen($matches[0]));
 			}
 		}
Index: inc/core/class.dc.media.php
===================================================================
--- inc/core/class.dc.media.php	(revision 1220)
+++ inc/core/class.dc.media.php	(revision 1179)
@@ -515,5 +515,5 @@
 			$f = $this->fileRecord($rs);
 			if ($f !== null) {
-				$res[] = new ArrayObject($f);
+				$res[] = $f;
 			}
 		}
Index: inc/core/class.dc.update.php
===================================================================
--- inc/core/class.dc.update.php	(revision 1231)
+++ inc/core/class.dc.update.php	(revision 1179)
@@ -32,5 +32,4 @@
 	
 	protected $cache_ttl = '-6 hours';
-	protected $nocache_ttl = '-2 mins';
 	protected $forced_files = array();
 	
@@ -56,10 +55,9 @@
 	 * 
 	 * @param version		string	Current version to compare
-	 * @param nocache		boolean	Force checking
 	 * @return string				Latest version if available
 	 */
-	public function check($version, $nocache=false)
-	{
-		$this->getVersionInfo($nocache);
+	public function check($version)
+	{
+		$this->getVersionInfo();
 		$v = $this->getVersion();
 		if ($v && version_compare($version,$v,'<')) {
@@ -70,13 +68,8 @@
 	}
 	
-	public function getVersionInfo($nocache=false)
-	{
-		# Check minimum time without cache (prevents from server flood)
-		if ($nocache && is_readable($this->cache_file) && filemtime($this->cache_file) > strtotime($this->nocache_ttl)) {
-			$nocache = false;
-		}
-		
+	public function getVersionInfo()
+	{
 		# Check cached file
-		if (is_readable($this->cache_file) && filemtime($this->cache_file) > strtotime($this->cache_ttl) && !$nocache)
+		if (is_readable($this->cache_file) && filemtime($this->cache_file) > strtotime($this->cache_ttl))
 		{
 			$c = @file_get_contents($this->cache_file);
Index: inc/load_plugin_file.php
===================================================================
--- inc/load_plugin_file.php	(revision 1241)
+++ inc/load_plugin_file.php	(revision 1179)
@@ -86,5 +86,5 @@
 }
 
-http::$cache_max_age = (!defined('DC_CACHE_MAX_AGE') ? 604800 : DC_CACHE_MAX_AGE);
+http::$cache_max_age = 7200;
 http::cache(array_merge(array($PF),get_included_files()));
 
Index: inc/prepend.php
===================================================================
--- inc/prepend.php	(revision 1233)
+++ inc/prepend.php	(revision 1218)
@@ -123,5 +123,5 @@
 # Constants
 define('DC_ROOT',path::real(dirname(__FILE__).'/..'));
-define('DC_VERSION','2.5.2-dev');
+define('DC_VERSION','2.6-dev');
 define('DC_DIGESTS',dirname(__FILE__).'/digests');
 define('DC_L10N_ROOT',dirname(__FILE__).'/../locales');
Index: inc/public/class.dc.template.php
===================================================================
--- inc/public/class.dc.template.php	(revision 1249)
+++ inc/public/class.dc.template.php	(revision 1179)
@@ -67,5 +67,4 @@
 		$this->addValue('BlogLanguage',array($this,'BlogLanguage'));
 		$this->addValue('BlogThemeURL',array($this,'BlogThemeURL'));
-		$this->addValue('BlogParentThemeURL',array($this,'BlogParentThemeURL'));
 		$this->addValue('BlogUpdateDate',array($this,'BlogUpdateDate'));
 		$this->addValue('BlogID',array($this,'BlogID'));
@@ -840,5 +839,5 @@
 	
 	/*dtd
-	<!ELEMENT tpl:BlogThemeURL - O -- Blog's current Theme URL -->
+	<!ELEMENT tpl:BlogThemeURL - O -- Blog's current Themei URL -->
 	*/
 	public function BlogThemeURL($attr)
@@ -846,14 +845,4 @@
 		$f = $this->getFilters($attr);
 		return '<?php echo '.sprintf($f,'$core->blog->settings->system->themes_url."/".$core->blog->settings->system->theme').'; ?>';
-	}
-	
-	/*dtd
-	<!ELEMENT tpl:BlogParentThemeURL - O -- Blog's current Theme's parent URL -->
-	*/
-	public function BlogParentThemeURL($attr)
-	{
-		$f = $this->getFilters($attr);
-		$parent = '$core->themes->moduleInfo($core->blog->settings->system->theme,\'parent\')';
-		return '<?php echo '.sprintf($f,'$core->blog->settings->system->themes_url."/".('."$parent".' ? '."$parent".' : $core->blog->settings->system->theme)').'; ?>';
 	}
     
Index: locales/fr/main.po
===================================================================
--- locales/fr/main.po	(revision 1250)
+++ locales/fr/main.po	(revision 1193)
@@ -1038,5 +1038,5 @@
 #, fuzzy, php-format
 msgid "Path <strong>%s</strong> is not writable."
-msgstr "Le répertoire <strong>%s</strong> n'est pas accessible en écriture."
+msgstr "Le répertoire de cache %s n'est pas accessible en écriture."
 
 #, fuzzy
@@ -1123,5 +1123,5 @@
 #, php-format
 msgid "You can change your user language in your <a href=\"%1$s\">preferences</a> or change your blog's main language in your <a href=\"%2$s\">blog settings</a>."
-msgstr "Vous pouvez changer votre langue d'utilisateur dans vos <a href=\"%1$s\">préférences</a> ou changer la langue principale de votre blog dans vos <a href=\"%2$s\">paramètres du blog</a>."
+msgstr "Vous pouvez changer votre langue d'utilisateur dans vos <a href=\"%1$s\">préférences</a> ou changer la langue principale de votre blog dans vos <a href=\"%2$s\">paramètres de blog</a>."
 
 msgid "Installed languages"
@@ -1192,10 +1192,4 @@
 msgid "Media manager"
 msgstr "Gestionnaire de médias"
-
-msgid "Go to %s folder"
-msgstr "Aller au dossier %s"
-
-msgid "Media details of %s"
-msgstr "Détails du média %s"
 
 msgid "confirm removal"
@@ -1997,13 +1991,7 @@
 msgstr "Les fichiers suivants de votre installation de Dotclear ne peuvent pas être écrits. Veuillez corriger la situation ou <a href=\"http://fr.dotclear.org/download\">mettre à jour manuellement</a>."
 
-msgid "Manual checking of update done successfully."
-msgstr "Vérification manuelle de mise à jour effectuée avec succès."
-
 msgid "No newer Dotclear version available."
 msgstr "Aucune nouvelle version de Dotclear n'est disponible."
 
-msgid "Force checking update Dotclear"
-msgstr "Forcer la vérification de mise à jour de Dotclear"
-
 #, php-format
 msgid "Dotclear %s is available."
@@ -2142,9 +2130,9 @@
 #, fuzzy
 msgid "Go to the content"
-msgstr "Aller au contenu"
+msgstr "Voir ce billet sur le site"
 
 #, fuzzy
 msgid "Go to the menu"
-msgstr "Aller au menu"
+msgstr "Aller sur le site"
 
 msgid "Go to site"
@@ -2512,5 +2500,5 @@
 #, fuzzy
 msgid "You are not allowed to reset categories order"
-msgstr "Vous n'êtes pas autorisé à réinitialiser l'ordre des catégories"
+msgstr "Vous n'êtes pas autorisé à supprimer des catégories"
 
 msgid "Category URL must be unique."
Index: locales/fr/plugins.po
===================================================================
--- locales/fr/plugins.po	(revision 1226)
+++ locales/fr/plugins.po	(revision 1200)
@@ -1131,5 +1131,5 @@
 
 msgid "Vacuum tables"
-msgstr "Optimiser les tables"
+msgstr "Vidage des tables"
 
 msgid "Counters"
@@ -1137,5 +1137,5 @@
 
 msgid "Reset comments and ping counters"
-msgstr "Recalculer les compteurs de commentaires et de signalements"
+msgstr "Remet à zéro les compteurs de commentaires et de signalements"
 
 msgid "Search engine index"
@@ -1146,8 +1146,8 @@
 
 msgid "Index all posts"
-msgstr "Indexer tous les billets"
+msgstr "Indexation de tous les billets"
 
 msgid "Index all comments"
-msgstr "Indexer tous les commentaires"
+msgstr "Indexation de tous les commentaires"
 
 msgid "Vacuum logs"
@@ -1155,5 +1155,5 @@
 
 msgid "Delete all logs"
-msgstr "Supprimer tous les journaux"
+msgstr "Suppression de tous les journaux"
 
 msgid "Empty templates cache directory"
@@ -1161,5 +1161,5 @@
 
 msgid "Empty directory"
-msgstr "Vider le répertoire"
+msgstr "Vidage du répertoire"
 
 msgid "Pages"
Index: plugins/attachments/_public.php
===================================================================
--- plugins/attachments/_public.php	(revision 1221)
+++ plugins/attachments/_public.php	(revision 1179)
@@ -40,16 +40,12 @@
 		"<?php\n".
 		'if ($_ctx->posts !== null && $core->media) {'."\n".
-		'$_ctx->attachments = staticRecord::newFromArray($core->media->getPostMedia($_ctx->posts->post_id));'."\n".
+			'$_ctx->attachments = new ArrayObject($core->media->getPostMedia($_ctx->posts->post_id));'."\n".
 		"?>\n".
 		
-		'<?php $attach_i = 0; ?>'. // LEGACY
-		'<?php while ($_ctx->attachments->fetch()) : ?>'.
-		
-		'<?php $GLOBALS[\'attach_i\'] = $attach_i; $attach_f = $_ctx->attachments->row(); $GLOBALS[\'attach_f\'] = $attach_f;'. // LEGACY
-		'$_ctx->file_url = $attach_f->file_url; ?>'. // LEGACY
+		'<?php foreach ($_ctx->attachments as $attach_i => $attach_f) : '.
+		'$GLOBALS[\'attach_i\'] = $attach_i; $GLOBALS[\'attach_f\'] = $attach_f;'.
+		'$_ctx->file_url = $attach_f->file_url; ?>'.
 		$content.
-		'<?php $attach_i++; ?>'. // LEGACY
-		'<?php endwhile; '.
-		'$_ctx->attachments = null; ?>'.
+		'<?php endforeach; $_ctx->attachments = null; unset($attach_i,$attach_f,$_ctx->file_url); ?>'.
 		
 		"<?php } ?>\n";
@@ -64,5 +60,5 @@
 	{
 		return
-		"<?php if (\$_ctx->attachments->isStart()) : ?>".
+		"<?php if (\$attach_i == 0) : ?>".
 		$content.
 		"<?php endif; ?>";
@@ -75,5 +71,5 @@
 	{
 		return
-		"<?php if (\$_ctx->attachments->isEnd()) : ?>".
+		"<?php if (\$attach_i+1 == count(\$_ctx->attachments)) : ?>".
 		$content.
 		"<?php endif; ?>";
@@ -97,15 +93,15 @@
 		if (isset($attr['is_image'])) {
 			$sign = (boolean) $attr['is_image'] ? '' : '!';
-			$if[] = $sign.'$_ctx->attachments->media_image';
+			$if[] = $sign.'$attach_f->media_image';
 		}
 		
 		if (isset($attr['has_thumb'])) {
 			$sign = (boolean) $attr['has_thumb'] ? '' : '!';
-			$if[] = $sign.'isset($_ctx->attachments->media_thumb[\'sq\'])';
+			$if[] = $sign.'isset($attach_f->media_thumb[\'sq\'])';
 		}
 		
 		if (isset($attr['is_mp3'])) {
 			$sign = (boolean) $attr['is_mp3'] ? '==' : '!=';
-			$if[] = '$_ctx->attachments->type '.$sign.' "audio/mpeg3"';
+			$if[] = '$attach_f->type '.$sign.' "audio/mpeg3"';
 		}
 		
@@ -113,7 +109,7 @@
 			$sign = (boolean) $attr['is_flv'] ? '' : '!';
 			$if[] = $sign.
-				'($_ctx->attachments->type == "video/x-flv" || '.
-				'$_ctx->attachments->type == "video/mp4" || '.
-				'$_ctx->attachments->type == "video/x-m4v")';
+				'($attach_f->type == "video/x-flv" || '.
+				'$attach_f->type == "video/mp4" || '.
+				'$attach_f->type == "video/x-m4v")';
 		}
 		
@@ -131,5 +127,5 @@
 	{
 		$f = $GLOBALS['core']->tpl->getFilters($attr);
-		return '<?php echo '.sprintf($f,'$_ctx->attachments->type').'; ?>';
+		return '<?php echo '.sprintf($f,'$attach_f->type').'; ?>';
 	}
 	
@@ -140,5 +136,5 @@
 	{
 		$f = $GLOBALS['core']->tpl->getFilters($attr);
-		return '<?php echo '.sprintf($f,'$_ctx->attachments->media_type').'; ?>';
+		return '<?php echo '.sprintf($f,'$attach_f->media_type').'; ?>';
 	}
 	
@@ -149,5 +145,5 @@
 	{
 		$f = $GLOBALS['core']->tpl->getFilters($attr);
-		return '<?php echo '.sprintf($f,'$_ctx->attachments->basename').'; ?>';
+		return '<?php echo '.sprintf($f,'$attach_f->basename').'; ?>';
 	}
 	
@@ -162,7 +158,7 @@
 		$f = $GLOBALS['core']->tpl->getFilters($attr);
 		if (!empty($attr['full'])) {
-			return '<?php echo '.sprintf($f,'$_ctx->attachments->size').'; ?>';
-		}
-		return '<?php echo '.sprintf($f,'files::size($_ctx->attachments->size)').'; ?>';
+			return '<?php echo '.sprintf($f,'$attach_f->size').'; ?>';
+		}
+		return '<?php echo '.sprintf($f,'files::size($attach_f->size)').'; ?>';
 	}
 	
@@ -173,5 +169,5 @@
 	{
 		$f = $GLOBALS['core']->tpl->getFilters($attr);
-		return '<?php echo '.sprintf($f,'$_ctx->attachments->media_title').'; ?>';
+		return '<?php echo '.sprintf($f,'$attach_f->media_title').'; ?>';
 	}
 	
@@ -184,6 +180,6 @@
 		return
 		'<?php '.
-		'if (isset($_ctx->attachments->media_thumb[\'sq\'])) {'.
-			'echo '.sprintf($f,'$_ctx->attachments->media_thumb[\'sq\']').';'.
+		'if (isset($attach_f->media_thumb[\'sq\'])) {'.
+			'echo '.sprintf($f,'$attach_f->media_thumb[\'sq\']').';'.
 		'}'.
 		'?>';
@@ -196,5 +192,5 @@
 	{
 		$f = $GLOBALS['core']->tpl->getFilters($attr);
-		return '<?php echo '.sprintf($f,'$_ctx->attachments->file_url').'; ?>';
+		return '<?php echo '.sprintf($f,'$attach_f->file_url').'; ?>';
 	}
 	
Index: plugins/daInstaller/index.php
===================================================================
--- plugins/daInstaller/index.php	(revision 1237)
+++ plugins/daInstaller/index.php	(revision 1046)
@@ -256,5 +256,5 @@
 '<body>'.
 infoMessages().
-'<h2 class="page-title">'.__('DotAddict.org Installer').'</h2>'.
+'<h2>'.__('DotAddict.org Installer').'</h2>'.
 '<p>'.__('Install and update your extensions live from DotAddict.org').'</p>';
 
Index: plugins/tags/js/page.js
===================================================================
--- plugins/tags/js/page.js	(revision 1240)
+++ plugins/tags/js/page.js	(revision 1239)
@@ -1,70 +1,7 @@
-$(function () {
-    $('#edit-entry').onetabload(function () {
-        var tags_edit = $('#tags-edit');
-        var post_id = $('#id');
-        var meta_field = null;
-        if (tags_edit.length > 0) {
-            post_id = (post_id.length > 0) ? post_id.get(0).value : false;
-            if (post_id == false) {
-                meta_field = $('<input type="hidden" name="post_tags" />');
-                meta_field.val($('#post_tags').val());
-            }
-            var mEdit = new metaEditor(tags_edit, meta_field, 'tag');
-            mEdit.meta_url = 'plugin.php?p=tags&m=tag_posts&amp;tag=';
-            mEdit.displayMeta('tag', post_id);
-            window.dc_tag_editor = mEdit;
-        }
-    });
-});
-jsToolBar.prototype.elements.tagSpace = {
-    type: 'space'
-};
-jsToolBar.prototype.elements.tag = {
-    type: 'button',
-    title: 'Keyword',
-    fn: {}
-};
-jsToolBar.prototype.elements.tag.context = 'post';
-jsToolBar.prototype.elements.tag.icon = 'index.php?pf=tags/img/tag-add.png';
-jsToolBar.prototype.elements.tag.fn.wiki = function () {
-    this.encloseSelection('', '', function (str) {
-        if (str == '') {
-            window.alert(dotclear.msg.no_selection);
-            return '';
-        }
-        if (str.indexOf(',') != -1) {
-            return str;
-        } else {
-            return '[' + str + '|tag:' + str + ']';
-        }
-    });
-};
-jsToolBar.prototype.elements.tag.fn.xhtml = function () {
-    var url = this.elements.tag.url;
-    this.encloseSelection('', '', function (str) {
-        if (str == '') {
-            window.alert(dotclear.msg.no_selection);
-            return '';
-        }
-        if (str.indexOf(',') != -1) {
-            return str;
-        } else {
-            return '<a href="' + this.stripBaseURL(url + '/' + str) + '">' + str + '</a>';
-        }
-    });
-};
-jsToolBar.prototype.elements.tag.fn.wysiwyg = function () {
-    var t = this.getSelectedText();
-    if (t == '') {
-        window.alert(dotclear.msg.no_selection);
-        return;
-    }
-    if (t.indexOf(',') != -1) {
-        return;
-    }
-    var n = this.getSelectedNode();
-    var a = document.createElement('a');
-    a.href = this.stripBaseURL(this.elements.tag.url + '/' + t);
-    a.appendChild(n);
-    this.insertNode(a);
-};
+
+$(function(){$('#edit-entry').onetabload(function(){var tags_edit=$('#tags-edit');var post_id=$('#id');var meta_field=null;if(tags_edit.length>0){post_id=(post_id.length>0)?post_id.get(0).value:false;if(post_id==false){meta_field=$('<input type="hidden" name="post_tags" />');meta_field.val($('#post_tags').val());}
+var mEdit=new metaEditor(tags_edit,meta_field,'tag');mEdit.meta_url='plugin.php?p=tags&m=tag_posts&amp;tag=';mEdit.displayMeta('tag',post_id);window.dc_tag_editor=mEdit;}});});jsToolBar.prototype.elements.tagSpace={type:'space'};jsToolBar.prototype.elements.tag={type:'button',title:'Keyword',fn:{}};jsToolBar.prototype.elements.tag.context='post';jsToolBar.prototype.elements.tag.icon='index.php?pf=tags/img/tag-add.png';jsToolBar.prototype.elements.tag.fn.wiki=function(){this.encloseSelection('','',function(str){if(str==''){window.alert(dotclear.msg.no_selection);return'';}
+if(str.indexOf(',')!=-1){return str;}else{return'['+str+'|tag:'+str+']';}});};jsToolBar.prototype.elements.tag.fn.xhtml=function(){var url=this.elements.tag.url;this.encloseSelection('','',function(str){if(str==''){window.alert(dotclear.msg.no_selection);return'';}
+if(str.indexOf(',')!=-1){return str;}else{return'<a href="'+this.stripBaseURL(url+'/'+str)+'">'+str+'</a>';}});};jsToolBar.prototype.elements.tag.fn.wysiwyg=function(){var t=this.getSelectedText();if(t==''){window.alert(dotclear.msg.no_selection);return;}
+if(t.indexOf(',')!=-1){return;}
+var n=this.getSelectedNode();var a=document.createElement('a');a.href=this.stripBaseURL(this.elements.tag.url+'/'+t);a.appendChild(n);this.insertNode(a);};
